﻿@model IEnumerable<MvcWebsiteOcc.Areas.administrators.Models.News>
@using MvcWebsiteOcc.Models;
@helper Truncate(string input, int length)
{
    if (input.Length <= length)
    {
    @Html.Raw(input)
    }
    else
    {
        var thisString = input.Substring(0, length);
        var outView = string.Concat(thisString.Substring(0, thisString.LastIndexOf(' ')));
    @Html.Raw(outView)<text>...</text>
    }
}
<div class="widget widget-tabs alt">
    <div class="widget-content">
        <ul id="tabs" class="nav nav-justified">
            <li><a href="#tab-s1" data-toggle="tab">@Html.Localize("tinmoi")</a></li>
            <li class="active"><a href="#tab-s2" data-toggle="tab">@Html.Localize("tindocnhieu")</a></li>
        </ul>
        <div class="tab-content">
            <!-- tab 1 -->
            <div class="tab-pane fade" id="tab-s1">
                <div class="recent-post">
                    @{var tinmoi = Model.OrderByDescending(p => p.CreateDate).Take(3).ToList();
                      foreach (var tinm in tinmoi)
                      {
                        <div class="media">
                            <a class="pull-left media-link anh_tin_them" href="/tin-tuc/noi-dung/@OccConvert.LayUrl(tinm.NewsTitle, tinm.NewsID)">

                                <img class="media-object"  src="~/Uploaded/Images/tintuc/@tinm.Folder/@tinm.NewsImage" alt="">
                            </a>
                            <div class="media-body">

                                <h4 class="media-heading"><a title="@tinm.NewsTitle" href="/tin-tuc/noi-dung/@OccConvert.LayUrl(tinm.NewsTitle, tinm.NewsID)">@Truncate(tinm.NewsTitle, 40)</a></h4>

                                <div class="media-meta">@OccConvert.ViewDateFull(tinm.CreateDate)</div>

                            </div>
                        </div>
                          
                      }
                         
                    }

                </div>
            </div>

            <!-- tab 2 -->
            <div class="tab-pane fade in active" id="tab-s2">
                <div class="recent-post">
                    @{var tinhot = Model.OrderByDescending(p=>p.ViewCount).Take(3).ToList();
                      foreach (var tinh in tinhot)
                      {
                        <div class="media">
                            <a class="pull-left media-link anh_tin_them" href="/tin-tuc/noi-dung/@OccConvert.LayUrl(tinh.NewsTitle, tinh.NewsID)">

                                <img class="media-object"  src="/Uploaded/Images/tintuc/@tinh.Folder/@tinh.NewsImage" alt="">
                            </a>
                            <div class="media-body">

                                <h4 class="media-heading"><a title="@tinh.NewsTitle" href="/tin-tuc/noi-dung/@OccConvert.LayUrl(tinh.NewsTitle, tinh.NewsID)">@Truncate(tinh.NewsTitle, 40)</a></h4>
                              
                                    <div class="media-meta">@OccConvert.ViewDateFull(tinh.CreateDate)</div>
                            </div>
                        </div>
                      }
                    }
                </div>

            </div>

        </div>

    </div>
</div>
